package gin

import (
	"framework_v2/internal/app/facade"
	"framework_v2/internal/http/controllers/user"
	"framework_v2/internal/middleware/http"
	ginzap "github.com/gin-contrib/zap"
	"github.com/gin-gonic/gin"
	"time"
)

func InitGin() {
	gin.SetMode(gin.ReleaseMode)

	facade.Router = gin.New()

	facade.Router.Use(ginzap.Ginzap(facade.Logger, time.RFC3339, true))

	InitApiRoutes()
}

func InitApiRoutes() {
	GET("/", http.MiddlewareJSONResponse, user.CurrentUser)
}
