package redis

import "C"
import (
	"framework_v2/internal/app/config"
	"framework_v2/internal/app/facade"
	"github.com/redis/go-redis/v9"
	"golang.org/x/net/context"
)

var Redis *redis.Client

func InitRedis() {
	Redis = redis.NewClient(&redis.Options{
		Addr:     config.Config.Redis.Addr,
		Password: config.Config.Redis.Pass,
		DB:       0, // use default DB
	})

	ctx := context.Background()

	err := Redis.Ping(ctx).Err()

	if err != nil {
		panic(err)
	}

	facade.Redis = Redis
}
