package s3

import (
	"framework_v2/internal/app/config"
	"framework_v2/internal/app/facade"
	"github.com/minio/minio-go/v7"
	"github.com/minio/minio-go/v7/pkg/credentials"
	"log"
)

func InitS3Driver() {
	var err error
	facade.S3, err = minio.New(config.Config.S3.Endpoint, &minio.Options{
		Creds:  credentials.NewStaticV4(config.Config.S3.AccessKeyID, config.Config.S3.SecretAccessKey, ""),
		Secure: config.Config.S3.UseSSL,
	})

	if err != nil {
		panic(err)
	}

	log.Printf("%#v\n", facade.S3)
}
