package cmd

import (
	"framework_v2/internal/app/config"
	"framework_v2/internal/app/facade"
	"framework_v2/internal/app/gin"
	"framework_v2/internal/app/jobs"
	"framework_v2/internal/app/jwks"
	"framework_v2/internal/app/logger"
	"framework_v2/internal/app/s3"
	"github.com/spf13/cobra"
)

var httpCommand = &cobra.Command{
	Use: "http",

	Run: func(cmd *cobra.Command, args []string) {
		config.InitConfig()
		logger.InitLogger()
		// you should uncommit it after run make ent
		//providers.InitEnt()
		//providers.InitRedis()
		s3.InitS3Driver()
		jwks.InitJwksRefresh()
		jobs.InitAsynQClient()
		gin.InitGin()

		StartHttp()
	},
}

func StartHttp() {
	if config.Config.ListenAddr.HTTP == "" {
		config.Config.ListenAddr.HTTP = "0.0.0.0:8080"
	}

	logger.Logger.Info("Http Server listening at " + config.Config.ListenAddr.HTTP)
	err := facade.Router.Run(config.Config.ListenAddr.HTTP)
	if err != nil {
		panic("failed to listen: " + err.Error())
	}
}
