package cmd

import (
	"framework_v2/internal/app/config"
	"framework_v2/internal/app/ent"
	"framework_v2/internal/app/jobs"
	"framework_v2/internal/app/logger"
	"framework_v2/internal/app/redis"
	"github.com/hibiken/asynq"
	"github.com/spf13/cobra"
	"log"
)

var workerCommand = &cobra.Command{
	Use: "worker",

	Run: func(cmd *cobra.Command, args []string) {
		config.InitConfig()
		logger.InitLogger()
		ent.InitEnt()
		redis.InitRedis()
		jobs.InitAsynQServer()

		runWorker()
	},
}

func runWorker() {
	mux := asynq.NewServeMux()

	//mux.HandleFunc(tasks.DocumentChunkTask, tasks.HandleDocumentChunkTask)
	//mux.HandleFunc(tasks.DocumentImportTask, tasks.HandleDocumentImportTask)

	if err := jobs.AsynQServer.Run(mux); err != nil {
		log.Fatal(err)
	}

}
